/* mpeg2enc.c, main() and parameter file reading                            */

/* Copyright (C) 1996, MPEG Software Simulation Group. All Rights Reserved. */

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  The MPEG Software Simulation Group disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 * The MPEG Software Simulation Group does not represent or warrant that the
 * programs furnished hereunder are free of infringement of any third-party
 * patents.
 *
 * Commercial implementations of MPEG-1 and MPEG-2 video, including shareware,
 * are subject to royalty fees to patent holders.  Many of these patents are
 * general enough such that they are unavoidable regardless of implementation
 * design.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/wait.h>
#include <unistd.h>
#include "config.h"
#include "global.h"
#include "dglobal.h"
#include "dconfig.h"

/*globle flag*/
int flag; 

int main(argc,argv)
int argc;
char *argv[];
{
    char parfile[100],inm2v[100],outm2v[100];
    union wait status;
    int n;
    char item[20][20];
    n=0;
    flag=0;
    if(argc < 4){
	printf("Usage: mpeg2 [option] parfile outfile infile");
	exit(1);
	}
    if(argc == 5 && !strcmp( argv[1],"-f")) {
        n=1;
        flag=1; 
    }	
    strcpy(parfile,(char*)argv[1+n]);
    strcpy(inm2v,(char*)argv[3+n]);
    strcpy(outm2v,(char*)argv[2+n]);
    if(fork()==0){
    		n=6;
    		strcpy(item[0],"mpeg2decode");
   	 	strcpy(item[1],"-f");
   		strcpy(item[2],"-b");
   	 	strcpy(item[3],inm2v);
    		strcpy(item[4],"-o0");
    	 	strcpy(item[5],"new%d");
    	 	mpeg2dec(n,item);
         	_exit(1);
    }
     if(fork()==0){
      		mpeg2enc(parfile,outm2v);
      		_exit(1);
    }
    wait((int*)&status);
    
    wait((int*)&status);
  
  /* read parameter file */
 unlink("new0.U");
 unlink("new0.Y");
 unlink("new0.V");
 return 0;
}
